Bug 103760 - (TB04390c4e) TB maindialog.py:284:changed:AttributeError: mainDialog instance has no attribute 'active_profile_name'
TB maindialog.py:284:changed:AttributeError: mainDialog instance has no attri...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: rcn-profiling
  Show dependency treegraph
 
Reported: 2003-09-04 14:01 EDT by Stig Hackvan
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version: system-config-network-1.3.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 08:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2003-09-04 14:01:03 EDT
Description of problem:

redhat-network-config (neat) crashed on me after I'd re-inserted a PCI ethernet
card that had once been in, and was later removed and reinserted.  upon
reinsertion, i answered "no" to the text-mode
do-you-wish-to-configure-this-interface dialogs generated by kudzu.

removing /etc/sysconfig/networking/profiles/eth01alias192 and the
CURRENT_PROFILE line from /etc/sysconfig/network allowed neat to run again.


Version-Release number of selected component (if applicable):


Component: redhat-config-network
Version: 1.2.15
Summary: TB04390c4e maindialog.py:284:changed:AttributeError: mainDialog
instance has no attribute 'active_profile_name'
Traceback (most recent call last):
  File
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 1023, in on_hostnameEntry_changed
  File
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 350, in checkApply
  File
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 284, in changed
AttributeError: mainDialog instance has no attribute 'active_profile_name'

Local variables in innermost frame:
devicelist: DeviceList.Ethernet.eth0.AutoDNS=false
DeviceList.Ethernet.eth0.Type=Ethernet
DeviceList.Ethernet.eth0.OnBoot=true
DeviceList.Ethernet.eth0.BootProto=dhcp
DeviceList.Ethernet.eth0.DeviceId=eth0
DeviceList.Ethernet.eth0.Device=eth0
DeviceList.Ethernet.eth0.AllowUser=false
DeviceList.Ethernet.eth1.AutoDNS=false
DeviceList.Ethernet.eth1.Type=Ethernet
DeviceList.Ethernet.eth1.OnBoot=false
DeviceList.Ethernet.eth1.BootProto=dhcp
DeviceList.Ethernet.eth1.DeviceId=eth1
DeviceList.Ethernet.eth1.Device=eth1
DeviceList.Ethernet.eth1.AllowUser=false
DeviceList.Ethernet.eth0:1.AutoDNS=true
DeviceList.Ethernet.eth0:1.IP=192.168.0.10
DeviceList.Ethernet.eth0:1.HardwareAddress=00:0a:e6:af:e9:0c
DeviceList.Ethernet.eth0:1.Type=Ethernet
DeviceList.Ethernet.eth0:1.Alias=1
DeviceList.Ethernet.eth0:1.OnBoot=true
DeviceList.Ethernet.eth0:1.Netmask=255.255.255.0
DeviceList.Ethernet.eth0:1.BootProto=none
DeviceList.Ethernet.eth0:1.DeviceId=eth0:1
DeviceList.Ethernet.eth0:1.Device=eth0
DeviceList.Ethernet.eth0:1.AllowUser=false

profilelist: ProfileList.default.HostsList.1.IP=127.0.0.1
ProfileList.default.HostsList.1.Hostname=localhost.localdomain
ProfileList.default.HostsList.1.AliasList.1=localhost
ProfileList.default.HostsList.1.AliasList.2=uways.hackvan.net
ProfileList.default.HostsList.1.AliasList.3=uways
ProfileList.default.HostsList.2.IP=66.180.229.28
ProfileList.default.HostsList.2.Hostname=obelus.hackvan.net
ProfileList.default.HostsList.2.AliasList.1=obelus
ProfileList.default.HostsList.2.AliasList.2=oo
ProfileList.default.HostsList.3.IP=192.168.0.10
ProfileList.default.HostsList.3.Hostname=umma
ProfileList.default.HostsList.3.AliasList.1=u
ProfileList.default.HostsList.4.IP=192.168.0.12
ProfileList.default.HostsList.4.Hostname=ix
ProfileList.default.HostsList.5.IP=192.168.0.1
ProfileList.default.HostsList.5.Hostname=hub
ProfileList.default.HostsList.6.IP=209.162.198.145
ProfileList.default.HostsList.6.Hostname=sms
ProfileList.default.HostsList.7.IP=209.162.198.158
ProfileList.default.HostsList.7.Hostname=devs
ProfileList.default.HostsList.8.IP=192.168.0.14
ProfileList.default.HostsList.8.Hostname=ix-wireless
ProfileList.default.HostsList.8.AliasList.1=ixx
ProfileList.default.ActiveDevices.1=eth0
ProfileList.default.ActiveDevices.2=eth1
ProfileList.default.DNS.SecondaryDNS=
ProfileList.default.DNS.SearchList.1=hackvan.net
ProfileList.default.DNS.Domainname=
ProfileList.default.DNS.PrimaryDNS=127.0.0.1
ProfileList.default.DNS.Hostname=uways.hackvan.net
ProfileList.default.DNS.TertiaryDNS=
ProfileList.default.Active=false
ProfileList.default.ProfileName=default
ProfileList.eth01alias192.HostsList.1.IP=209.162.198.158
ProfileList.eth01alias192.HostsList.1.Hostname=devs
ProfileList.eth01alias192.HostsList.2.IP=209.162.198.145
ProfileList.eth01alias192.HostsList.2.Hostname=sms
ProfileList.eth01alias192.HostsList.3.IP=192.168.0.1
ProfileList.eth01alias192.HostsList.3.Hostname=hub
ProfileList.eth01alias192.HostsList.4.IP=192.168.0.14
ProfileList.eth01alias192.HostsList.4.Hostname=ix-wireless
ProfileList.eth01alias192.HostsList.4.AliasList.1=ixx
ProfileList.eth01alias192.HostsList.5.IP=192.168.0.12
ProfileList.eth01alias192.HostsList.5.Hostname=ix
ProfileList.eth01alias192.HostsList.6.IP=192.168.0.10
ProfileList.eth01alias192.HostsList.6.Hostname=umma
ProfileList.eth01alias192.HostsList.6.AliasList.1=u
ProfileList.eth01alias192.HostsList.7.IP=66.180.229.28
ProfileList.eth01alias192.HostsList.7.Hostname=obelus.hackvan.net
ProfileList.eth01alias192.HostsList.7.AliasList.1=obelus
ProfileList.eth01alias192.HostsList.7.AliasList.2=oo
ProfileList.eth01alias192.HostsList.8.IP=127.0.0.1
ProfileList.eth01alias192.HostsList.8.Hostname=localhost.localdomain
ProfileList.eth01alias192.HostsList.8.AliasList.1=localhost
ProfileList.eth01alias192.HostsList.8.AliasList.2=uways.hackvan.net
ProfileList.eth01alias192.HostsList.8.AliasList.3=uways
ProfileList.eth01alias192.ActiveDevices.1=eth0
ProfileList.eth01alias192.ActiveDevices.2=eth1
ProfileList.eth01alias192.ActiveDevices.3=eth0:1
ProfileList.eth01alias192.DNS.SecondaryDNS=
ProfileList.eth01alias192.DNS.SearchList.1=hackvan.net
ProfileList.eth01alias192.DNS.Domainname=
ProfileList.eth01alias192.DNS.PrimaryDNS=127.0.0.1
ProfileList.eth01alias192.DNS.Hostname=uways.hackvan.net
ProfileList.eth01alias192.DNS.TertiaryDNS=
ProfileList.eth01alias192.Active=false
ProfileList.eth01alias192.ProfileName=eth01alias192

self: <netconfpkg.gui.maindialog.mainDialog instance at 0x856a594>
hardwarelist: HardwareList.Ethernet.eth0.Status=ok
HardwareList.Ethernet.eth0.Name=eth0
HardwareList.Ethernet.eth0.Type=Ethernet
HardwareList.Ethernet.eth0.Card.ModuleName=sis900
HardwareList.Ethernet.eth0.Description=SiS900 10/100 Ethernet
HardwareList.Ethernet.eth1.Status=ok
HardwareList.Ethernet.eth1.Name=eth1
HardwareList.Ethernet.eth1.Type=Ethernet
HardwareList.Ethernet.eth1.Card.ModuleName=tulip
HardwareList.Ethernet.eth1.Description=DECchip 21140 [FasterNet]
Comment 1 Jamie Bohr 2004-04-12 15:00:40 EDT
I had this same issue and found removing profile information from
/etc/sysconfig/network did the trick.  I also removed all but the
default from profile from /etc/sysconfig/networking/profiles but only
after removing profile information from /etc/sysconfig/network did
neat come up.  Another words removing
/etc/sysconfig/networking/profiles (all but the default) may not be
nessasary.  

Jamie Bohr

Note You need to log in before you can comment on or make changes to this bug.